using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WorkFlowCheck.DL.Configurations
{
    public class NumberGeneratorTypeConfiguration : IEntityTypeConfiguration<Entities.NumberGeneratorTemplate>
    {
        public void Configure(EntityTypeBuilder<Entities.NumberGeneratorTemplate> builder)
        {
            builder.ToTable("NumberGeneratorTemplate");
            builder.HasKey(e => e.Id);
            builder.Property(e => e.Id).ValueGeneratedOnAdd();
        }
    }
    public class NumberGeneratorDateTypeConfiguration : IEntityTypeConfiguration<Entities.NumberGeneratorTemplateDate>
    {
        public void Configure(EntityTypeBuilder<Entities.NumberGeneratorTemplateDate> builder)
        {
            builder.ToTable("NumberGeneratorTemplateDate");
            builder.HasKey(e => e.Id);
            builder.Property(e => e.Id).ValueGeneratedOnAdd();
        }
    }
}
